// Napoli.java

package pizza;

import java.awt.Color;

public class Napoli extends Prosciutto 
{

  public Napoli() 
  {
    p.title("Napoli");
  }

  protected void drawIngredients() 
  {
    super.drawIngredients();
    addFungi();
    addOlives();
  }

  private void addFungi() 
  {
    Color fungi = new Color(190, 190, 190);
    p.color(fungi);
    p.move(0, 0);
    p.fillCircle(2); 
  }
  
  private void addOlives() 
  {
    p.color(Color.black);
    for (int i = 1; i < 5; i++)
    {
      p.move(Math.sin(i * Math.PI/2) * 2.5, Math.cos(i * Math.PI/2) * 2.5);
      p.fillCircle(0.5); 
    }
  }
  
  protected double getPrice()
  {
    return 22.50;  
  }
}

